/**
 * Sulfur backend
 * El login exitoso de UserService devuelve un Colaborador con un campo \"token\". Dicho token se debe incluir como header de las llamadas del resto de las operaciones de cada servicio.
 *
 * OpenAPI spec version: 1.0-SNAPSHOT
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

import * as models from './models';
import { HoraDetalle } from './models';
import { RIPPLE_FADE_IN_DURATION } from '@angular/material/core/typings/ripple/ripple-renderer';
import { DEFAULT_INTERPOLATION_CONFIG } from '@angular/compiler/src/ml_parser/interpolation_config';

export class HoraDetalleImp implements models.HoraDetalle {
    proyecto: models.Proyecto;

    tipoTarea: models.TipoTarea;

    duracion?: string;

    observacion?: string;

    constructor(x: HoraDetalle) {
        this.proyecto = x.proyecto;
        this.tipoTarea = x.tipoTarea;
        this.duracion = x.duracion;
        this.observacion = x.observacion;
    }
}
